This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 53391 - gdm overwrites /var/log/XFree86.0.log
gdm overwrites /var/log/XFree86.0.log
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: gdm (Show other bugs)
roswell
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-07 16:13 EDT by Nicholas J Kreucher
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-21 22:08:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicholas J Kreucher 2001-09-07 16:13:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-2.9smp i686)

Description of problem:
when starting X, gdm simply overwrites /var/log/XFree86.0.log and does
not make a backup copy first. this makes it difficult to see why
a previous X session has crashed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start gdm
2. exit X or X crashes
3. gdm restarts, old log file containing valiuable debug info is
overwritten
	
2.
3.
	

Actual Results:  /var/log/XFree86.0.log is overwritten

Expected Results:  would be nice if a logrotate like feature was
implimented, perhaps the last 3 or 4 X logs would be saved on gdm startup,
then rotated to /dev/null

Additional info:
Comment 1 Havoc Pennington 2001-10-07 10:50:46 EDT
Agree it would be a good feature. Debugging is currently problematic.
Comment 2 George Lebl 2001-11-21 22:08:06 EST
Just fixed this in CVS gdm2 so this will be in 2.2.5.2 whenever that comes out
(could be today I haven't decided yet:)
Comment 3 Havoc Pennington 2002-02-11 17:41:57 EST
We'll catch this shortly by upgrading the gdm in rawhide, if we haven't already.

Note You need to log in before you can comment on or make changes to this bug.